﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;
using Syncfusion.SfDataGrid.XForms;
using System.Globalization;
using Syncfusion.Data;

namespace DataGridDemo
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
            
            GridTableSummaryRow summaryRow = new GridTableSummaryRow();
            summaryRow.ShowSummaryInRow = false;
            summaryRow.SummaryColumns.Add(new GridSummaryColumn()
            {
                Name = "TotalSalary",
                MappingName = "OrderID",
                Format = "{Average:###.##}",
                SummaryType = SummaryType.DoubleAggregate
            });
            summaryRow.SummaryColumns.Add(new GridSummaryColumn()
            {
                Name = "ProductCount",
                MappingName = "EmployeeID",
                Format = "{Count}",
                SummaryType = SummaryType.CountAggregate
            });
            summaryRow.SummaryColumns.Add(new GridSummaryColumn()
            {
                Name = "ProductCount",
                MappingName = "CustomerID",
                Format = "{Average:###.##}",
                SummaryType = SummaryType.DoubleAggregate
            });
            summaryRow.SummaryColumns.Add(new GridSummaryColumn()
            {
                Name = "ProductCount",
                MappingName = "Freight",
                Format = "{Average:###.##}",
                SummaryType = SummaryType.DoubleAggregate
            });
            sfGrid.TableSummaryRows.Add(summaryRow);
        }
    }
}
